## org.biojava.bio.structure
Interface Atom

All Known Implementing Classes:
  AtomImpl

    public interface Atom

A simple interface for an Atom. The coordinates can be accessed via the `getCoords()`, or the `getX()`, `getY()`, `getZ()` methods. There are a few additional methods here to provide some PDB specific information.

Since:
  1.4
Version:
  %I% %G%
Author:
  Andreas Prlic, Horvath Tamas

Method Summary
`Object` `clone()` returns and identical copy of this object .
`Character` `getAltLoc()` get set alternate Location.
`double[]` `getCoords()` get the coordinates.
`String` `getFullName()` get full name of atom e.g.
`String` `getName()` get trimmed version of atom name, e.g.
`double` `getOccupancy()` get occupancy.
`Group` `getParent()` Returns the parent Group of the Atom.
`String` `getPDBline()` store the whole line.
`int` `getPDBserial()` get PDB atom number.
`double` `getTempFactor()` get set temp factor.
`double` `getX()` Get coordinate X.
`double` `getY()` Get coordinate Y.
`double` `getZ()` Get coordinate Z.
`void` `setAltLoc(Character c)` get set alternate Location.
`void` `setCoords(double[] c)` set the coordinates.
`void` `setFullName(String s)` set full name of atom e.g.
`void` `setName(String s)` set trimmed version of atom name, e.g.
`void` `setOccupancy(double occupancy)` set occupancy.
`void` `setParent(Group parent)` Sets the back-reference to its parent Group.
`void` `setPDBline(String s)` store the whole line.
`void` `setPDBserial(int i)` set PDB atom number.
`void` `setTempFactor(double temp)` get set temp factor .
`void` `setX(double x)` Set the X coordinate.
`void` `setY(double y)` Set the Y coordinate.
`void` `setZ(double z)` Set the Z coordinate.

Method Detail

### setName

    void setName(String s)

  set trimmed version of atom name, e.g. "CA".

  Parameters:
    `s` - a String specifying the name value
  See Also:
    `getName()`

### getName

    String getName()

  get trimmed version of atom name, e.g. "CA".

  Returns:
    a String representing the name value
  See Also:
    `setName(java.lang.String)`

### setFullName

    void setFullName(String s)

  set full name of atom e.g. " CA ".

  Parameters:
    `s` - a String specifying the full name value
  See Also:
    `getFullName()`

### getFullName

    String getFullName()

  get full name of atom e.g. " CA ".

  Returns:
    a String representing the full name value
  See Also:
    `setFullName(java.lang.String)`

### setPDBserial

    void setPDBserial(int i)

  set PDB atom number.

  Parameters:
    `i` - an int specifying the PDBserial value
  See Also:
    `getPDBserial()`

### getPDBserial

    int getPDBserial()

  get PDB atom number.

  Returns:
    an int representing the PDBserial value
  See Also:
    `setPDBserial(int)`

### setCoords

    void setCoords(double[] c)

  set the coordinates.

  Parameters:
    `c` - an array of doubles specifying the coords value
  See Also:
    `getCoords()`

### getCoords

    double[] getCoords()

  get the coordinates.

  Returns:
    an array of doubles representing the coords value
  See Also:
    `setCoords(double[])`

### setX

    void setX(double x)

  Set the X coordinate.

  Parameters:
    `x` - a double
  See Also:
    `getX()`

### setY

    void setY(double y)

  Set the Y coordinate.

  Parameters:
    `y` - a double
  See Also:
    `getY()`

### setZ

    void setZ(double z)

  Set the Z coordinate.

  Parameters:
    `z` - a double
  See Also:
    `getZ()`

### getX

    double getX()

  Get coordinate X.

  Returns:
    a double
  See Also:
    `setX(double)`

### getY

    double getY()

  Get coordinate Y.

  Returns:
    a double
  See Also:
    `setY(double)`

### getZ

    double getZ()

  Get coordinate Z.

  Returns:
    a double
  See Also:
    `setZ(double)`

### setAltLoc

    void setAltLoc(Character c)

  get set alternate Location.

  Parameters:
    `c` - a Character object specifying the alt loc value
  See Also:
    `getAltLoc()`

### getAltLoc

    Character getAltLoc()

  get set alternate Location.

  Returns:
    a Character object representing the alt loc value
  See Also:
    `setAltLoc(java.lang.Character)`

### setPDBline

    void setPDBline(String s)

  store the whole line.

  Parameters:
    `s` - a String specifying the PDBline value
  See Also:
    `getPDBline()`

### getPDBline

    String getPDBline()

  store the whole line.

  Returns:
    a String representing the PDBline value
  See Also:
    `setPDBline(java.lang.String)`

### setOccupancy

    void setOccupancy(double occupancy)

  set occupancy.

  Parameters:
    `occupancy` - a double specifying the occupancy value
  See Also:
    `getOccupancy()`

### getOccupancy

    double getOccupancy()

  get occupancy.

  Returns:
    a double representing the occupancy value
  See Also:
    `setOccupancy(double)`

### setTempFactor

    void setTempFactor(double temp)

  get set temp factor .

  Parameters:
    `temp` - a double specifying the temp factor value
  See Also:
    `getTempFactor()`

### getTempFactor

    double getTempFactor()

  get set temp factor.

  Returns:
    a double representing the temp factor value
  See Also:
    `setTempFactor(double)`

### clone

    Object clone()

  returns and identical copy of this object .

  Returns:
    and identical copy of this object

### setParent

    void setParent(Group parent)

  Sets the back-reference to its parent Group.

  Parameters:
    `parent` - the parent Group
  See Also:
    `getParent()`

### getParent

    Group getParent()

  Returns the parent Group of the Atom. returns null if the referenced object is not Group

  Returns:
    Group the parent Group of the Atom, or null
  See Also:
    `setParent(Group)`